Bug 825 - wrong (x)emacs defaults
: wrong (x)emacs defaults
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/app-defaults)
: unstable
: all Linux
: P5 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-04-11 22:48 by
Modified: 2005-09-04 21:44 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-04-11 22:48:52
1. последствия ресурса вида Emacs*font чертовски долго
вычищать посредством пользовательского .Xresources.
взамен предлагается пользовать
Emacs.default.attributeFont:
чего вполне достаточно.
То же касается и локализованных app-defaults.
2. Наличие в системном Xresources незакоменченных 
Emacs*pointerColor: Orchid
Emacs*cursorColor: Orchid
расценивается мною как вкусовая диверсия :)

---

---
------- Comment #1 From 2002-04-12 21:35:41 -------
1. согласен
2. Не совсем согласен. Так можно и все app-defaults искоренить...
По-моему, курсору нужен хоть какой-то не чёрно-белый цвет, иначе тяжело его высматриватть на фоне текста.
------- Comment #2 From 2002-04-12 21:35:41 -------
1. согласен
2. Не совсем согласен. Так можно и все app-defaults искоренить...
По-моему, курсору нужен хоть какой-то не чёрно-белый цвет, иначе тяжело его высматриватть на фоне текста.
------- Comment #3 From 2002-04-12 21:51:16 -------
1. Я не буду сейчас это исправлять, потому что всё не так просто сделать
хорошо:

default.atttributeFont не единственное, что требует локализованного шрифта,
например, menu -> Buffers, когда их имена написаны по-русски.

Где ещё такие места, надо искать.
------- Comment #4 From 2002-04-12 21:51:16 -------
1. Я не буду сейчас это исправлять, потому что всё не так просто сделать
хорошо:

default.atttributeFont не единственное, что требует локализованного шрифта,
например, menu -> Buffers, когда их имена написаны по-русски.

Где ещё такие места, надо искать.
------- Comment #5 From 2002-04-12 22:00:54 -------
Emacs*menubar*font: 
Все же меньшее зло IMHO
------- Comment #6 From 2002-04-12 22:00:54 -------
Emacs*menubar*font: 
Все же меньшее зло IMHO
------- Comment #7 From 2002-10-27 15:09:03 -------
Вообще-то /etc/X11/Xresources* не так страшны - они очень просто чистятся через
~/Desktop/Autostart или другим автозапуском: xrdb ~/.Xresources - и все.

А вот /etc/X11/app-defaults/Emacs действительно очень сильно мешает, и его надо
давить. Но это уже надо вешать на другой пакет.
------- Comment #8 From 2002-10-27 15:09:03 -------
Вообще-то /etc/X11/Xresources* не так страшны - они очень просто чистятся через
~/Desktop/Autostart или другим автозапуском: xrdb ~/.Xresources - и все.

А вот /etc/X11/app-defaults/Emacs действительно очень сильно мешает, и его надо
давить. Но это уже надо вешать на другой пакет.
------- Comment #9 From 2003-02-10 21:15:35 -------
1. Я оставлю в /etc/X11/app-defaults/Emacs и в /etc/X11/Xresources только

Emacs.default.attributeFamily: fixed

из всего, что связано со шрифтами. Для 21.2-alt14 в локализованных
/etc/X11/Xresources.* не нужно ничего.
------- Comment #10 From 2003-02-10 21:15:35 -------
1. Я оставлю в /etc/X11/app-defaults/Emacs и в /etc/X11/Xresources только

Emacs.default.attributeFamily: fixed

из всего, что связано со шрифтами. Для 21.2-alt14 в локализованных
/etc/X11/Xresources.* не нужно ничего.
------- Comment #11 From 2003-02-11 03:03:14 -------
1. В emacs-21.2-alt14 и app-default-0.2.4-alt1 сделано так, что никаких особых
ресурсов не надо. И они убраны. (Поставлено Emacs.default.attributeFamily:
fixed)

Кракозябры в menu --другая проблема, требует своего bug report-а.
------- Comment #12 From 2003-02-11 03:03:14 -------
1. В emacs-21.2-alt14 и app-default-0.2.4-alt1 сделано так, что никаких особых
ресурсов не надо. И они убраны. (Поставлено Emacs.default.attributeFamily:
fixed)

Кракозябры в menu --другая проблема, требует своего bug report-а.